[OpenWrt-Devel] [PATCH v2 maintainer-tools] patchwork-apply.sh: try to fix DMARC mangled patches

Petr Štetiar ynezz at true.cz
Sun Nov 10 04:04:47 EST 2019


In order to avoid DMARC plague in the commit messages:

 87f9292300cf hostapd: add IEEE 802.11k support
 450d44a8ead2 openssl: change defaults: ENGINE:on, NPN:off, misc
 eabc1ddc4541 build: Honour NO_COLOR in include/scan.mk
 3fb45576ac16 cryptodev-linux: move from packages feed
 a73283dc10f7 kernel: nf-nathelper-extra depends on ipt-raw
 0317fc3658eb libpcap: patch to add limits.h to pcap-usb-linux.c
 26dbf79f4905 libevent2: Don't build tests and samples
 d59126040701 brcm63xx: initial support for Sky SR102 router
 094d49cddf93 kernel: bump 4.14 to 4.14.51
 247055cbfbf1 igmpproxy: bump to 0.2.1
 c451434b963d cake: bump to 20180504 bake
 080fb7a3fbb6 iproute2: import latest cake
 ad5af37ca793 iproute2: backport json_print-fix-hidden-64-bit-type-promotion
 78f4305933b9 iftop: bump to latest
 7783f31359cb base-files: nand: use CI_KERNPART whenever the kernel volume is needed

Signed-off-by: Petr Štetiar <ynezz at true.cz>
---
 patchwork-apply.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/patchwork-apply.sh b/patchwork-apply.sh
index 5506adbfe451..1543c7fdaceb 100755
--- a/patchwork-apply.sh
+++ b/patchwork-apply.sh
@@ -140,6 +140,13 @@ echo "$1" | grep -sqE '^[0-9]+$' || {
 	}
 }
 
+grep --color --context=3 "DMARC Reject/Quarantine" "$1.patch" && {
+	if ! yesno "DMARC manled patch detected, attempt to fix it?" "y"; then
+		exit 4
+	fi
+	sed -i '/The sender domain has a DMARC/,/automatically by the mailing list software./d' "$1.patch"
+}
+
 git am "$1.patch" || {
 	echo "Failed to apply patch $1" >&2
 	git am --abort

_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/mailman/listinfo/openwrt-devel


More information about the openwrt-devel mailing list